'use strict';
import {PlayerControllerLocal} from './player-controller';
import HeroFactory from '../model/heroes/hero-factory';
import TerminalRenderer from './../view/terminal-renderer';
import PhaserRenderer from './../view/phaser-renderer';

export default class GameMasterPassnplay {
  constructor(gameParams) {
    this.heroFactory = new HeroFactory();
    this.terminalRenderer = new TerminalRenderer();
    this.phaserRenderer = new PhaserRenderer();
    this.playerControllerRed = new PlayerControllerLocal(gameParams.playerRed);
    this.playerControllerBlue = new PlayerControllerLocal(gameParams.playerBlue);
    this.playerControllerBlue.selectFactionDeck(this.terminalRenderer,this.heroFactory);
    this.playerControllerRed.selectFactionDeck(this.terminalRenderer,this.heroFactory);

    console.log('player Red deck : ', this.playerControllerRed.player.getHeroesDeck());
    console.log('player Blue deck : ', this.playerControllerBlue.player.getHeroesDeck());

  }

  start(game) {
    this.phaserRenderer.render(game,this.playerControllerRed.player.getHeroesDeck());
  }
}
