'use strict';
import {GameType} from '../../utils/const/game-type-enum';
import {GameMode} from '../../utils/const/game-mode-enum';
import { PhaserScene } from '../../utils/const/phaser-scene-enum';
import Phaser from 'phaser';
import GameParams from '../game-params';
import Player from '../../model/player';

export default class MainMenu extends Phaser.Scene {

  constructor() {
    super({ key: PhaserScene.MAIN_MENU, active: false });
  }

  preload() {
    console.log('Preload');
    this.load.image('logo', '../../assets/twelveHeroes_cover.png');
  }

  create() {
    console.log('create');
    let logo = this.add.sprite(0,0,'logo');
    logo.setOrigin(0,0);
    setTimeout(() => {


      let playerBlue = new Player('Jojo', 'Blue');
      let playerRed = new Player('Mart', 'Red');

      let gameParams = new GameParams(GameType.PASSNPLAY,playerBlue,playerRed,GameMode.FACTIONS);

      this.scene.start(PhaserScene.WORLD,gameParams);
    }, 3000);
  }

  update() {

  }
}
